Bug 23872 - Command useradd's -m flag has faulty operation
Command useradd's -m flag has faulty operation
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: shadow-utils (Show other bugs)
6.2
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-12 09:50 EST by Need Real Name
Modified: 2007-03-26 23:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-24 21:27:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-12 09:50:56 EST
As far as I can see useradd has a new behavior in 6.2. The -m flag normally
has to be given to ensure that a new directory is created, but without or
without the flag in 6.2, a new directory is created, which is somewhat
anoying.
Comment 1 Nalin Dahyabhai 2001-01-24 21:27:55 EST
Please Check the setting of the CREATE_HOME flag in /etc/login.defs,
which specifies the default behavior for useradd.
Comment 2 Brent Fox 2002-06-04 23:03:01 EDT
Just checking with 7.3, the default behavior is to create the directory, and
this is specified in /etc/login.defs.  Changing the behavior to "no" does the
right thing.  Closing as 'worksforme'

Note You need to log in before you can comment on or make changes to this bug.